Bug 216566 - French Canadian keyboard configuration not available in keyboard indicator applet [NEEDINFO]
French Canadian keyboard configuration not available in keyboard indicator ap...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xkeyboard-config (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 22:26 EST by Dominic Duval
Modified: 2014-06-02 09:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pm-rhel: needinfo? (dduval)


Attachments (Terms of Use)
Snapshot of the configuration tool for Keyboard switcher/Settings in RHEL5 (240.20 KB, image/png)
2007-10-12 12:19 EDT, Matěj Cepl
no flags Details
Keyboard layout Canada French (Legacy) in Rawhide (59.65 KB, image/png)
2007-10-12 12:21 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Dominic Duval 2006-11-20 22:26:53 EST
Description of problem:

Can't configure a desktop environment to support both US (or Canadian) English
as a default keyboard language AND a regular French Canadian keyboard.

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux Server release 4.92 (Tikanga) - No updates

How reproducible:

Always.

Steps to Reproduce:
1. Log in as a regular user with US English as the default language and keyboard.
2. Using the top panel configuration, add the "Keyboard indicator Applet".
3. Right-click on the new applet, select "Keyboard Preferences" and add any of
the Canadian keyboard layout as a second keyboard layout, keeping US English as
the default. 

Actual results:

The regular French Canadian layout, as available from the control center
configuration, is not in the list. 
  

Expected results:

The regular French Canadian keyboard layout should be available, as on any
common operating system. Canada French (legacy) is not a valid solution since it
doesn't work as what people normally expect as the French Canadian layout.

Additional info:

The regular, expected, French Canadian keyboard map is already available on the
system since we can modify the global system keyboard configuration
(System->Administration->Keyboard). Using this configuration does not work
however, since we can't set English (US or Canadian) as a *second* layout in the
keyboard indicator applet. The only solution in this case would be to log out
and log in again as a different user, which obviously doesn't work well.
Comment 1 Matěj Cepl 2007-09-11 20:41:08 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 2 Matěj Cepl 2007-10-12 12:16:22 EDT
I am afraid I can fully reproduce it myself. See attached screenshot of
available Canadian keyboard layouts in RHEL5 (fully upgraded to the latest
packages). Moreover, duality between "French Canadian" layout in
System/Administration/Keyboard and "Canada/French (legacy)" is weird. Even more
weird is if these two keyboards are not same.
Comment 3 Matěj Cepl 2007-10-12 12:19:39 EDT
Created attachment 225691 [details]
Snapshot of the configuration tool for Keyboard switcher/Settings in RHEL5
Comment 4 Matěj Cepl 2007-10-12 12:21:19 EDT
Created attachment 225701 [details]
Keyboard layout Canada French (Legacy) in Rawhide

Reporter, are you sure that this is not what you want?
Comment 7 Leslie Satenstein 2012-08-05 06:54:17 EDT
I have another problem, which possibly should be posted as a new problem.

My netbok has the latim keyboard and Fedora driver   example ? Ñ and ¿

keys. (Fedora calls it Latim).

I also write in French using the Canadian French driver.
(The # character is at the top left under the escape key 
and the «  or  »  characters under the A key.

In reverting back to Latim after switching to CF the less than or greater than

< >   are not restored, and is only restoreable on a system reboot.  A logout and 

a logon does not correct the  exchange of « for <  The actual  < and > are permenantly lost from the Latim configuration until the reboot.
Comment 8 Leslie Satenstein 2012-08-05 08:48:26 EDT
Switching to a second user on the same netbook, where the 2nd user follows the first, provides a correct keboard mapping, except for one additional key.

altGr key 2   provides @  and is also  alt'gr Q   There is no harm for alt-gr 2, but it is not shown on the netbook keyboard.

exiting and returning to the first logon, and you again have the wrong values for « and for »
Comment 9 Leslie Satenstein 2012-11-19 09:11:16 EST
Is this a problem.

I have setup my F18 with English. Subsequently I added the Canadian French keyboard and deleted the English keyboard from the list. Ergo, I use only one keyboard on the system, corresponding to the markings on the  pc105 phyical one.

But if there us a "timeout-lock user account" or a sudo request for a password, all entries are refused. I am presenting this information here, because this problem is not addressed as of 19 November 2012, and I know the beta freeze will be out next week.

I am doing daily system updates to determine if the problem is resolved.
Is it a keyboard problem or another problem such as the routine to accept a password during an active user session is active.
Comment 10 Peter Hutterer 2012-11-19 18:14:07 EST
Leslie: this is a bug for RHEL5 which is a few years older than F18 and thus uses different versions. Please file a new bug against Fedora for your issue. Thanks.
Comment 11 RHEL Product and Program Management 2014-03-07 08:45:06 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 12 RHEL Product and Program Management 2014-06-02 09:19:24 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.